Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Gtk::AccelGroupSignals Class Reference

Abstract base class that implements the virtual signal handlers for Gtk::AccelGroup. More...

`#include <xfc/gtk/accelgroupsignals.hh>`

Inheritance diagram for Xfc::Gtk::AccelGroupSignals:

List of all members.

## Public Member Functions

Signal Handlers

- virtual void on_accel_changed (const AccelKey &accel_key, GClosure *accel_closure)
    Called when an accelerator key is changed.

## Protected Member Functions

Constructors

- AccelGroupSignals (AccelGroup *group)
    Constructs a new AccelGroupSignals.
- virtual ~AccelGroupSignals ()=0
    Destructor,.

## Detailed Description

Abstract base class that implements the virtual signal handlers for Gtk::AccelGroup.

## Constructor & Destructor Documentation

Xfc::Gtk::AccelGroupSignals::AccelGroupSignals | ( | AccelGroup * | group | ) | `[protected]`

Constructs a new AccelGroupSignals.

Parameters:

  | group | An AccelGroup object inheriting the AccelGroupSignals implementation.

## Member Function Documentation

virtual void Xfc::Gtk::AccelGroupSignals::on_accel_changed | ( | const AccelKey & | accel_key,
|  | GClosure * | accel_closure
| ) | `[virtual]`

Called when an accelerator key is changed.

Parameters:

  | accel_key | An AccelKey specifying the accelerator key value and modifiers.
  | accel_closure | Closure to be executed upon accelerator activation.

The documentation for this class was generated from the following file:

- accelgroupsignals.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3